Package com.independentsoft.office.spreadsheet

# Class Formula

java.lang.Object
com.independentsoft.office.spreadsheet.Formula

public class Formula extends Object
The Class Formula.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Formula()`
  Instantiates a new formula.
  `Formula​(InternalXMLStreamReader reader)`
  Instantiates a new formula.
  `Formula​(String body)`
  Instantiates a new formula.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Formula`
  `clone()`
  `String`
  `getBody()`
  Gets the body.
  `String`
  `getInputCell1()`
  Gets the input cell1.
  `String`
  `getInputCell2()`
  Gets the input cell2.
  `String`
  `getRangeOfCells()`
  Gets the range of cells.
  `int`
  `getSharedGroupIndex()`
  Gets the shared group index.
  `FormulaType`
  `getType()`
  Gets the type.
  `boolean`
  `isAca()`
  Checks if is aca.
  `boolean`
  `isCalculateCell()`
  Checks if is calculate cell.
  `boolean`
  `isDataTable2D()`
  Checks if is data table2 d.
  `boolean`
  `isDataTableRow()`
  Checks if is data table row.
  `boolean`
  `isInput1Deleted()`
  Checks if is input1 deleted.
  `boolean`
  `isInput2Deleted()`
  Checks if is input2 deleted.
  `void`
  `setAca​(boolean aca)`
  Sets the aca.
  `void`
  `setBody​(String body)`
  Sets the body.
  `void`
  `setCalculateCell​(boolean calculateCell)`
  Sets the calculate cell.
  `void`
  `setDataTable2D​(boolean dataTable2D)`
  Sets the data table2 d.
  `void`
  `setDataTableRow​(boolean dataTableRow)`
  Sets the data table row.
  `void`
  `setInput1Deleted​(boolean input1Deleted)`
  Sets the input1 deleted.
  `void`
  `setInput2Deleted​(boolean input2Deleted)`
  Sets the input2 deleted.
  `void`
  `setInputCell1​(String inputCell1)`
  Sets the input cell1.
  `void`
  `setInputCell2​(String inputCell2)`
  Sets the input cell2.
  `void`
  `setRangeOfCells​(String rangeOfCells)`
  Sets the range of cells.
  `void`
  `setSharedGroupIndex​(int sharedGroupIndex)`
  Sets the shared group index.
  `void`
  `setType​(FormulaType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Formula

    public Formula()
    Instantiates a new formula.

  - ### Formula

    public Formula​(String body)
    Instantiates a new formula.
    Parameters:
      `body` - the body

  - ### Formula

    public Formula​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new formula.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public Formula clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isAca

    public boolean isAca()
    Checks if is aca.
    Returns:
      true, if is aca

  - ### setAca

    public void setAca​(boolean aca)
    Sets the aca.
    Parameters:
      `aca` - the new aca

  - ### isCalculateCell

    public boolean isCalculateCell()
    Checks if is calculate cell.
    Returns:
      true, if is calculate cell

  - ### setCalculateCell

    public void setCalculateCell​(boolean calculateCell)
    Sets the calculate cell.
    Parameters:
      `calculateCell` - the new calculate cell

  - ### isInput1Deleted

    public boolean isInput1Deleted()
    Checks if is input1 deleted.
    Returns:
      true, if is input1 deleted

  - ### setInput1Deleted

    public void setInput1Deleted​(boolean input1Deleted)
    Sets the input1 deleted.
    Parameters:
      `input1Deleted` - the new input1 deleted

  - ### isInput2Deleted

    public boolean isInput2Deleted()
    Checks if is input2 deleted.
    Returns:
      true, if is input2 deleted

  - ### setInput2Deleted

    public void setInput2Deleted​(boolean input2Deleted)
    Sets the input2 deleted.
    Parameters:
      `input2Deleted` - the new input2 deleted

  - ### isDataTable2D

    public boolean isDataTable2D()
    Checks if is data table2 d.
    Returns:
      true, if is data table2 d

  - ### setDataTable2D

    public void setDataTable2D​(boolean dataTable2D)
    Sets the data table2 d.
    Parameters:
      `dataTable2D` - the new data table2 d

  - ### isDataTableRow

    public boolean isDataTableRow()
    Checks if is data table row.
    Returns:
      true, if is data table row

  - ### setDataTableRow

    public void setDataTableRow​(boolean dataTableRow)
    Sets the data table row.
    Parameters:
      `dataTableRow` - the new data table row

  - ### getInputCell1

    public String getInputCell1()
    Gets the input cell1.
    Returns:
      the input cell1

  - ### setInputCell1

    public void setInputCell1​(String inputCell1)
    Sets the input cell1.
    Parameters:
      `inputCell1` - the new input cell1

  - ### getInputCell2

    public String getInputCell2()
    Gets the input cell2.
    Returns:
      the input cell2

  - ### setInputCell2

    public void setInputCell2​(String inputCell2)
    Sets the input cell2.
    Parameters:
      `inputCell2` - the new input cell2

  - ### getRangeOfCells

    public String getRangeOfCells()
    Gets the range of cells.
    Returns:
      the range of cells

  - ### setRangeOfCells

    public void setRangeOfCells​(String rangeOfCells)
    Sets the range of cells.
    Parameters:
      `rangeOfCells` - the new range of cells

  - ### getSharedGroupIndex

    public int getSharedGroupIndex()
    Gets the shared group index.
    Returns:
      the shared group index

  - ### setSharedGroupIndex

    public void setSharedGroupIndex​(int sharedGroupIndex)
    Sets the shared group index.
    Parameters:
      `sharedGroupIndex` - the new shared group index

  - ### getType

    public FormulaType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(FormulaType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getBody

    public String getBody()
    Gets the body.
    Returns:
      the body

  - ### setBody

    public void setBody​(String body)
    Sets the body.
    Parameters:
      `body` - the new body